Description

Halte ich fur eine gute Grundlage sobald wir OpenSource Projekt sind. Sollten wir auf jeden Fall dann mit diskutieren.
Derzeit flihrt es allerdings vermutlich zu einer relative schnellen Erhéhung unserer minor Versionsnummern und auch der major
Versionsnummern, da wir doch noch relativ haufig bestehende APIs brechen (was vielleicht ok ist, solange die Anzahl der
betroffenen noch so gering ist).

AM

----Urspriingliche Nachricht-----

Von: Hoffmann, Niels

Gesendet: Donnerstag, 21. April 2011 11:07

An: Muller, Andreas; Kohlbecker, Andreas; Koch, Juergen; Luther, Katja

Betreff: AW: Schema update

Hi,

Auch auf die Gefahr hin hier jetzt als eclipse Evangelist zu gelten, méchte ich auf dieses Dokument hinweisen:
http://wiki.eclipse.org/Version_Numbering

Da kann man sich anschauen wie das die anderen machen.
Ich personlich wirde das Service Segment hochzuzahlen wollen. Man kann aber sicher beides argumentieren.

Wir sollten und auch noch einmal Gedanken {be die Schema-Version machen und diese gegebenenfalls mit der cdmlib Version
konsolidieren.

Viele GruBe

Niels

----Urspriingliche Nachricht-----

Von: Maller, Andreas

Gesendet: Donnerstag, 21. April 2011 00:59

An: Kohlbecker, Andreas; Hoffmann, Niels; Koch, Juergen; Luther, Katja

Betreff: AW: Schema update

Musste man diskutieren, da wir das bisher in CdmMetaData.schemaVersion anders handhaben. Dort haben wir ja bis zu 4
Nummern, wobei die beiden ersten Nummern mit der Library-version Gbereinstimmen. Bei sehr kleinen Schema&nderungen wie der
jetzigen ist es ein bischen fraglich, ob wir unbedingt gleich die cdmlib-Nummer aufwartszdhlen missen. Bisher war das namlich

immer mit Zusatzaufwand verbunden, weil Anderung aller poms, etc. Ist das jetzt irgendwie automatisiert?

AM
----Urspriingliche Nachricht-----

Von: Kohlbecker, Andreas

Gesendet: Mittwoch, 20. April 2011 22:14

An: Muller, Andreas; Hoffmann, Niels; Koch, Juergen; Luther, Katja
Betreff: AW: Schema update

Ich schlage vor bei einem Schema-Update die Minorversionumber grundsatzlich um +1 zu erhéhen, damit wére der trunk nun auf
version 3.1.0-SNAPSHOT

was haltet Ihr vom diesem Vorschlag?

Andreas

+++++++H+

Von: Muller, Andreas

Gesendet: Dienstag, 19. April 2011 14:05

An: Kohlbecker, Andreas; Hoffmann, Niels; Koch, Juergen; Luther, Katja
Betreff: Schema update

Hallo,

Am 15.4. mussten wir ein dringendes Schemaupdate im Bereich PolytomousKeyNode durchfiihren. Ich habe jetzt den
SchemaUpdater daflir geschrieben, bestehende Datenbanken kénnen damit geupdated werden.

Der Updater fugt der Tabelle PolytomousKeyNode_AUD das Attribut parent_id hinzu und I8scht die Tabelle
PolytomousKeyNode_PolytomousKeyNode_AUD.

Ausserdem werden einige schon langer ausstehende Terme hinzugefugt.

Bitte lasst wenn mdglich den Updater laufen und &ndert bestehende DBs nicht per Hand. Dies ist z.B. mittels des Editors méglich
(ggdf. Niels fragen).

Und denkt dran, dass zumindest fiir Produktionsdatenbanken vor dem Update auch der CDM Server geupdated werden muss.
Viele GriR3e,

Andreas M.

History

#1 - 04/26/2011 04:01 PM - Andreas Miiller
- Priority changed from Priority13 to Priority14

#2 - 04/27/2011 11:31 AM - Andreas Kohlbecker

Halte ich fur eine gute Grundlage sobald wir OpenSource? Projekt sind. Sollten wir auf jeden Fall dann mit diskutieren.

Derzeit fuhrt es allerdings vermutlich zu einer relative schnellen Erhdhung unserer minor Versionsnummern und auch der major
Versionsnummern, da wir doch noch relativ hdufig bestehende APIs brechen (was vielleicht ok ist, solange die Anzahl der betroffenen noch so
gering ist).

AM

Ich bin mir nicht sicher ob die Regeln in http://wiki.eclipse.org/Version_Numbering fiir die Erhéhung des Service-Segments zum maven-release-plugin
passen, das release plugin idenitifiziert Development-Branches anhand des Suffixes "-SNAPSHOT".

#3 - 04/27/2011 11:42 AM - Niels Hoffmann
Replying to a.kohlbecker:

Ich bin mir nicht sicher ob die Regeln in http://wiki.eclipse.org/Version_Numbering fiir die Erhéhung des Service-Segments zum
maven-release-plugin passen, das release plugin idenitifiziert Development-Branches anhand des Suffixes "-SNAPSHOT".

Das widerspricht sich nicht. In der Version Numbering Policy geht es erstmal nicht um Development Versionen sondern um Release Versionen. Was
wir in irgendwelchen Dev Branches (bzw. trunk) machen muss und darf offizielle Release Versionen ja gar nicht beeinflussen IMHO. Wenn man
solche Entwicklungen allerdings releasen will muss man sich dann Uberlegen, ob das ein Service, Minor oder Major upgrade ist.

#4 - 07/02/2021 08:57 PM - Andreas Miiller

- Description updated

- Status changed from New to Rejected

- Target version deleted (cdmlib - Old Next Major Release)

- Private changed from Yes to No

I think | current version numbering works very well for us now even if we do not fully follow the suggestions in
http://wiki.eclipse.org/Version_Numbering.

But as cdmlib probably will not become a generally used library in the near future this is not a real issue as long as cdmlib, taxeditor and vaadin work
well together.

So | think we can close this ticket. Please reopen a new ticket if you think we need further discussion on this.

04/19/2024 3/3


https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment2
http://wiki.eclipse.org/Version_Numbering
http://wiki.eclipse.org/Version_Numbering
http://www.tcpdf.org

